This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 222670 - Review Request: ksudoku - Sudoku game
Review Request: ksudoku - Sudoku game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-15 11:48 EST by Rafał Psota
Modified: 2013-02-12 14:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 15:57:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2007-01-15 11:48:39 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/ksudoku/ksudoku.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/ksudoku/ksudoku-0.3-1.src.rpm
Description: Ksudoku is a fully-featured Sudoku puzzle generator and solver for KDE. With it
you can generate and play 3D and 2D puzzles of different sizes and levels. The
main algorithm is fast and extendable to any general graph coloring problem.
Comment 1 Christopher Stone 2007-01-16 15:35:54 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec file name matches %{name}
- meets packaging guidelines
- licensed with open source compatible license
- license matches actual license
- license included in %doc
- spec written in American english
- spec file is legible
- sources match upstream: (had to fix Source0 URL)
d5fe20e9deda671dd15340f43ab4c4a3  ksudoku-0.3.tar.gz
- successfully compiles and builds on FC-6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- not relocatable
- package owns all directories it creates
- package requires other packages for directories it does not create
- no duplicates listed in %files
- file permissions set properly
- package contains proper %clean
- macro usage is consistent
- contains code
- no large documentation
- files in %doc do not affect runtime
- no header files or static libraries
- no pkgconfig files
- no .so files
- no need for devel subpackage
- no .la files
- contains proper .desktop file
- package does not own files or directories owned by other packages


==== MUST FIX ====
- Change Source0 to:
http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
- /usr/share/doc/HTML needs to be in %doc

==== SHOULD FIX ====
- Add comments above sed commands explaining what you are doing
- Add comments above the rm command for HTML/common explaining what you are doing
Comment 2 Rafał Psota 2007-01-16 17:55:55 EST
(In reply to comment #1)
> ==== MUST FIX ====
> - Change Source0 to:
> http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
> - /usr/share/doc/HTML needs to be in %doc
> 
> ==== SHOULD FIX ====
> - Add comments above sed commands explaining what you are doing
> - Add comments above the rm command for HTML/common explaining what you are doing
> 

Fixed.

rpmlint returns W: ksudoku dangling-relative-symlink
/usr/share/doc/HTML/en/ksudoku/common ../common because ksudoku doesn't contain
this directory (kdelibs does). 

Spec URL: http://rafalzaq.nonlogic.org/fedora/ksudoku/ksudoku.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/ksudoku/ksudoku-0.3-2.src.rpm

Comment 3 Christopher Stone 2007-01-16 18:14:31 EST
Oops I am sorry, I forgot to also mention that /usr/share/doc/HTML needs to be
moved to /usr/share/doc/%{name}-%{version}/HTML
Comment 4 Rex Dieter 2007-01-17 08:04:51 EST
> /usr/share/doc/HTML needs to be in %doc

FYI, everything under %{_docdir} is *automatically* marked %doc by rpm. (:
Comment 5 Rafał Psota 2007-01-17 08:54:22 EST
(In reply to comment #3)
> Oops I am sorry, I forgot to also mention that /usr/share/doc/HTML needs to be
> moved to /usr/share/doc/%{name}-%{version}/HTML
> 

This is a part of KDE help system and AFAIK it doesn't work in different path (I
mean opening it with Help menu → ksudoku Handbook not manually).
Comment 6 Christopher Stone 2007-01-17 11:01:07 EST
I see, I did not realize this was a KDE directory.  Package looks fine.  My mistake.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.